# An Adaptive Entropy-Regularization Framework for Multi-Agent Reinforcement Learning (ADER), submission to ICLR 2023



This codebase is built on top of the [PyMARL](https://github.com/oxwhirl/pymarl) framework for multi-agent reinforcement learning algorithms.
This codebase is implemented based on [PyMARL](https://github.com/oxwhirl/pymarl), [FOP](https://github.com/liyheng/FOP) and [FACMAC](https://github.com/oxwhirl/facmac) githubs.
Please refer to that repo for more documentation.

## Setup instructions

Set up StarCraft II and SMAC:
```
bash install_sc2.sh
```
You can install the modified SMAC environment
```
pip install -e smac/

```
## Run an experiment 


To run the ADER algorithm on our heterogenous continuous predator-prey task:
```
python src/main.py --config=ader_hpp --env-config=particle with env_args.scenario_name=particle 
```

To run the ADER algorithm on some SMAC map (say '1c3s5z') for 2mil timesteps:
```
python src/main.py --config=ader_smac --env-config=sc2 with env_args.map_name=1c3s5z t_max=2000000
```


To run the ADER algorithm on some multi-agent halfcheetah:
```
python src/main.py --config=ader_mamujoco--env-config=mujoco_multi
```


